{ ... }:
{
  homebrew = {
    enable = true;
    onActivation = {
      cleanup = "zap";
      autoUpdate = false;
      upgrade = false;
    };
    brews = [
      "pinentry-mac"

      # Building tools
      "libtool"
      "pkgconf"
      "autoconf"
      "poppler"
      "automake"
    ];
    casks = [
      # System monitoring
      "grandperspective"
      "lulu"
      "xrg"

      # Desktop Environment
      "karabiner-elements"
      "kando"

      # Inputs
      "wacom-tablet"

      # Multimedia
      "vlc"
      "darktable"
      "adobe-dng-converter"

      # Communications
      "signal"
      "slack"
      "discord"
      "zoom"

      # Browsing
      "firefox"
      "zotero"
      "anki"
      "skim"

      # Editors
      "emacs-mac"
      "arduino-ide"
      "blender"
      "inkscape"

      # Terminal
      "iterm2"

      # Fonts
      "font-source-code-pro"
    ];
    taps = [
      "koekeishiya/formulae"
      "railwaycat/emacsmacport"
      "caskroom/cask"
    ];
  };
}
